ActiveAdmin.register JamRuby::GenericState, :as => 'GenericState' do
  menu :parent => 'Operations'

  config.clear_action_items!
  filter :env
  permit_params :top_message, :event_page_top_logo_url, :connection_policy

  actions :all, :except => [:destroy]

  index do
    selectable_column
    column :env
    actions
  end

  form :partial => 'form'

end
